<?php

/*
 * モジュールバージョンアップデート用スクリプト
 * トランザクション処理は本体側で行っております
 * @param tbl_extmoduleのマスタ情報
 */
function module_update($param, $db) {
	if(is_numeric($param["extmodule_code"])) {
		
		require_once (LIB_PATH.'/common/moduleDB.php');
		$moduleDB = new moduleDB();
		$_module_dir = $moduleDB->getModulePathFromCode($param["extmodule_code"]);
		if(file_exists($_module_dir."/moduleCnf.inc")) {
			require_once($_module_dir."/moduleCnf.inc");
			if(isset($VERSION)) {
				if($db->update("tbl_extmodule",array("extmodule_ver"=>$VERSION,"extmodule_name"=>$NAME),"extmodule_code=".$param["extmodule_code"])) {
					return true;
				}
			}
		}
	}
	return false;
}
?>